Bug 1195325 - RFE: provide a way to configure the config directory used by plugins
RFE: provide a way to configure the config directory used by plugins
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Honza Silhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1051816
  Show dependency treegraph
 
Reported: 2015-02-23 10:25 EST by David Shea
Modified: 2015-05-08 03:33 EDT (History)
5 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.5-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-06 14:49:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Shea 2015-02-23 10:25:35 EST
Apologies if there's already a way to do this. The use case is the installer, of course.

Dnf provides the directory /etc/dnf/plugins directory for plugin configuration files, but as far as I can tell this location is not configurable. Anaconda needs to be able to change this location in order to configure plugins during the install. /etc in the install environment is not always writable (installing to a directory or an image file, for example), so we need to be able to tell plugins to read their configuration from a temporary directory.
Comment 1 Honza Silhan 2015-03-12 14:02:37 EDT
The `pluginconfpath` config option already exists in DNF.

PR that documents it: https://github.com/rpm-software-management/dnf/pull/240
Comment 2 Fedora Update System 2015-03-31 14:17:44 EDT
hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22
Comment 3 Fedora Update System 2015-04-01 21:44:01 EDT
Package hawkey-0.5.4-1.fc22, dnf-0.6.5-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.5.4-1.fc22 dnf-0.6.5-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5337/hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2015-04-03 07:39:24 EDT
dnf-plugins-extras-0.0.6-2.fc22,yum-utils-1.1.31-505.fc22,yum-3.4.3-505.fc22,hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-extras-0.0.6-2.fc22,yum-utils-1.1.31-505.fc22,yum-3.4.3-505.fc22,hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22
Comment 5 Fedora Update System 2015-04-06 14:49:14 EDT
dnf-plugins-extras-0.0.6-2.fc22, yum-3.4.3-505.fc22, dnf-0.6.5-1.fc22, yum-utils-1.1.31-505.fc22, hawkey-0.5.4-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-04-16 05:05:31 EDT
dnf-plugins-core-0.1.5-2.fc21,dnf-0.6.4-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.5-2.fc21,dnf-0.6.4-5.fc21
Comment 7 Fedora Update System 2015-05-08 03:33:40 EDT
dnf-plugins-core-0.1.5-2.fc21, dnf-0.6.4-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.